Bug 904245 - chreipl fails under hercules
chreipl fails under hercules
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hercules (Show other bugs)
19
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-01-25 15:38 EST by Dan Horák
Modified: 2015-02-17 09:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:42:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full log (37.19 KB, text/plain)
2013-01-25 15:38 EST, Dan Horák
no flags Details
hercules.log (36.82 KB, text/x-log)
2013-01-26 08:01 EST, Dan Horák
no flags Details
anaconda.log (4.33 KB, text/x-log)
2013-01-26 08:02 EST, Dan Horák
no flags Details
storage.log (73.00 KB, text/x-log)
2013-01-26 08:02 EST, Dan Horák
no flags Details
program.log (23.38 KB, text/x-log)
2013-01-26 08:03 EST, Dan Horák
no flags Details
packaging.log (80.24 KB, text/x-log)
2013-01-26 08:03 EST, Dan Horák
no flags Details
kickstart (454 bytes, text/plain)
2013-01-26 08:04 EST, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2013-01-25 15:38:50 EST
Created attachment 687675 [details]
full log

I was doing a kickstart installation of F-18 in the Hercules emulator to a FBA disk.

Version-Release number of selected component (if applicable):
anaconda 18.37.11
Comment 1 Dan Horák 2013-01-25 17:03:23 EST
FWIW F-16 could be installed on FBA disk correctly
Comment 2 Dan Horák 2013-01-26 08:00:11 EST
I've tried to update the installation environment with parted-3.1-10.fc18 using updates.img, still no change

from an installation in progress:

[anaconda root@s390x ~]# cat /proc/partitions 
major minor  #blocks  name

   7        0     160632 loop0
   7        1    1048576 loop1
   7        2     524288 loop2
  94        0    8388608 dasda
  94        1     204800 dasda1
  94        2    2097152 dasda2
  94        3    6086528 dasda3
 253        0    1048576 dm-0
[anaconda root@s390x ~]# fdisk -l /dev/dasda

Disk /dev/dasda: 8589 MB, 8589934592 bytes, 16777216 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes

[anaconda root@s390x ~]#
Comment 3 Dan Horák 2013-01-26 08:01:38 EST
Created attachment 687953 [details]
hercules.log
Comment 4 Dan Horák 2013-01-26 08:02:20 EST
Created attachment 687954 [details]
anaconda.log
Comment 5 Dan Horák 2013-01-26 08:02:53 EST
Created attachment 687955 [details]
storage.log
Comment 6 Dan Horák 2013-01-26 08:03:17 EST
Created attachment 687956 [details]
program.log
Comment 7 Dan Horák 2013-01-26 08:03:42 EST
Created attachment 687957 [details]
packaging.log
Comment 8 Dan Horák 2013-01-26 08:04:05 EST
Created attachment 687958 [details]
kickstart
Comment 9 Dan Horák 2013-01-26 08:26:15 EST
I suspect the FBA DASD support in parted being wrong. It can be demonstrated on VDISK (virtual FBA disk) where parted and fdisk behave differently. I will open a new bug for it.
Comment 10 Dan Horák 2013-01-30 02:34:59 EST
Or there can be a difference between LPAR (that's what Hercules emulates) and z/VM guest. Please see also the thread on the Fedora/s390x list - http://lists.fedoraproject.org/pipermail/s390x/2013-January/000574.html
Comment 11 Jan Stodola 2013-08-20 06:19:26 EDT
Reproduced with F19/s390x in hercules-3.09-1.fc19.x86_64.
For some reason, permission of /sys/firmware/reipl/ccw/loadparm is set to 444 during installation in hercules. On a real hardware running in z/VM, permission is set to 644.

Dan gave me an advise to change the permission to 644 during the installation and it resolved this issue, installation finished without any traceback.
Comment 12 Dan Horák 2013-08-20 06:28:36 EDT
It looks as a deficiency in Hercules itself, the default permission for /sys/firmware/reipl/ccw/loadparm is 0644, but it's reduced to 0444 if diag308 is not working.

from arch/s390/kernel/ipl.c

...
static int __init reipl_ccw_init(void)
{
        int rc;
 
        reipl_block_ccw = (void *) get_zeroed_page(GFP_KERNEL);
        if (!reipl_block_ccw)
                return -ENOMEM;
        
        if (MACHINE_IS_VM) {
                if (!diag308_set_works)
                        sys_reipl_ccw_vmparm_attr.attr.mode = S_IRUGO;
                rc = sysfs_create_group(&reipl_kset->kobj,
                                        &reipl_ccw_attr_group_vm);
        } else {
                if(!diag308_set_works)
                        sys_reipl_ccw_loadparm_attr.attr.mode = S_IRUGO;
                rc = sysfs_create_group(&reipl_kset->kobj,
                                        &reipl_ccw_attr_group_lpar);
        }
        if (rc)
                return rc;
        
        reipl_block_ccw_init(reipl_block_ccw);
        if (ipl_info.type == IPL_TYPE_CCW) {
                reipl_block_ccw->ipl_info.ccw.devno = ipl_devno;
                reipl_block_ccw_fill_parms(reipl_block_ccw);
        }
        
        reipl_capabilities |= IPL_TYPE_CCW;
        return 0;
}
Comment 13 Fedora End Of Life 2015-01-09 12:36:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 09:42:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.